> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/software-delivery-agent-apis/database-devops/execution-config.md).

# Execution Config

This contains APIs for execution config for image tags

## Delete Execution config for DBOps

> Delete the Execution config overrides for the customer

```json
{"openapi":"3.0.0","info":{"title":"Harness NextGen Software Delivery Platform API Reference","version":"1.0"},"tags":[{"description":"This contains APIs for execution config for image tags","name":"Execution Config"}],"paths":{"/v1/dbops/execution-config":{"delete":{"description":"Delete the Execution config overrides for the customer","operationId":"V1DeleteExecutionConfig","responses":{"200":{"$ref":"#/components/responses/ExecutionConfigSuccessResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Delete Execution config for DBOps","tags":["Execution Config"]}}},"components":{"responses":{"ExecutionConfigSuccessResponse":{"content":{"application/json":{"schema":{"default":false,"type":"boolean"}}},"description":"Boolean response for execution config response"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"Error":{"description":"Error Response","properties":{"message":{"description":"error message detail","type":"string"}},"required":["message"],"title":"Error Response","type":"object"}}}}
```

## GET /v1/dbops/execution-config/get-customer-config

> Get Customer Execution Config overrides

```json
{"openapi":"3.0.0","info":{"title":"Harness NextGen Software Delivery Platform API Reference","version":"1.0"},"tags":[{"description":"This contains APIs for execution config for image tags","name":"Execution Config"}],"paths":{"/v1/dbops/execution-config/get-customer-config":{"get":{"operationId":"V1GetCustomerConfig","parameters":[{"description":"Returns the non-default images if true","in":"query","name":"overridesOnly","schema":{"default":true,"type":"boolean"}}],"responses":{"200":{"$ref":"#/components/responses/ExecutionConfigTagsResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Get Customer Execution Config overrides","tags":["Execution Config"]}}},"components":{"responses":{"ExecutionConfigTagsResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExecutionConfigTags"}}},"description":"Response Body for Execution Config for Image tags"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"ExecutionConfigTags":{"properties":{"artifactoryTag":{"type":"string"},"bigQueryTag":{"type":"string"},"bigtableTag":{"type":"string"},"cassandraTag":{"type":"string"},"cloudSqlTag":{"type":"string"},"databricksTag":{"type":"string"},"db2Tag":{"type":"string"},"defaultTag":{"type":"string"},"flywayDefaultTag":{"type":"string"},"flywayMongoTag":{"type":"string"},"flywaySpannerPsqlTag":{"type":"string"},"flywaySpannerTag":{"type":"string"},"gitCloneTag":{"type":"string"},"mongoTag":{"type":"string"},"mssqlTag":{"type":"string"},"oracleTag":{"type":"string"},"perconaTag":{"type":"string"},"rdsTag":{"type":"string"},"snowflakeTag":{"type":"string"},"spannerTag":{"type":"string"}},"title":"ExecutionConfigTags","type":"object"},"Error":{"description":"Error Response","properties":{"message":{"description":"error message detail","type":"string"}},"required":["message"],"title":"Error Response","type":"object"}}}}
```

## Get Default Execution Config

> Get list of the latest Harness Dbops images and tags

```json
{"openapi":"3.0.0","info":{"title":"Harness NextGen Software Delivery Platform API Reference","version":"1.0"},"tags":[{"description":"This contains APIs for execution config for image tags","name":"Execution Config"}],"paths":{"/v1/dbops/execution-config/get-default-config":{"get":{"description":"Get list of the latest Harness Dbops images and tags","operationId":"V1GetDefaultConfig","responses":{"200":{"$ref":"#/components/responses/ExecutionConfigTagsResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Get Default Execution Config","tags":["Execution Config"]}}},"components":{"responses":{"ExecutionConfigTagsResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExecutionConfigTags"}}},"description":"Response Body for Execution Config for Image tags"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"ExecutionConfigTags":{"properties":{"artifactoryTag":{"type":"string"},"bigQueryTag":{"type":"string"},"bigtableTag":{"type":"string"},"cassandraTag":{"type":"string"},"cloudSqlTag":{"type":"string"},"databricksTag":{"type":"string"},"db2Tag":{"type":"string"},"defaultTag":{"type":"string"},"flywayDefaultTag":{"type":"string"},"flywayMongoTag":{"type":"string"},"flywaySpannerPsqlTag":{"type":"string"},"flywaySpannerTag":{"type":"string"},"gitCloneTag":{"type":"string"},"mongoTag":{"type":"string"},"mssqlTag":{"type":"string"},"oracleTag":{"type":"string"},"perconaTag":{"type":"string"},"rdsTag":{"type":"string"},"snowflakeTag":{"type":"string"},"spannerTag":{"type":"string"}},"title":"ExecutionConfigTags","type":"object"},"Error":{"description":"Error Response","properties":{"message":{"description":"error message detail","type":"string"}},"required":["message"],"title":"Error Response","type":"object"}}}}
```

## Reset execution Config for DBOPs image tags

> To reset one or more images to their defaults with a list of the images to reset.

```json
{"openapi":"3.0.0","info":{"title":"Harness NextGen Software Delivery Platform API Reference","version":"1.0"},"tags":[{"description":"This contains APIs for execution config for image tags","name":"Execution Config"}],"paths":{"/v1/dbops/execution-config/reset-config":{"post":{"description":"To reset one or more images to their defaults with a list of the images to reset.","operationId":"V1ResetExecutionConfig","requestBody":{"content":{"application/json":{"schema":{"items":{"type":"string"},"type":"array"}}},"description":"List of Image tags which need to be reset to default"},"responses":{"201":{"$ref":"#/components/responses/ExecutionConfigSuccessResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Reset execution Config for DBOPs image tags","tags":["Execution Config"]}}},"components":{"responses":{"ExecutionConfigSuccessResponse":{"content":{"application/json":{"schema":{"default":false,"type":"boolean"}}},"description":"Boolean response for execution config response"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}},"schemas":{"Error":{"description":"Error Response","properties":{"message":{"description":"error message detail","type":"string"}},"required":["message"],"title":"Error Response","type":"object"}}}}
```

## Override execution Config for DBOPs image tags

> Override execution Config for DBOPs image tags

```json
{"openapi":"3.0.0","info":{"title":"Harness NextGen Software Delivery Platform API Reference","version":"1.0"},"tags":[{"description":"This contains APIs for execution config for image tags","name":"Execution Config"}],"paths":{"/v1/dbops/execution-config/update-config":{"post":{"description":"Override execution Config for DBOPs image tags","operationId":"V1UpdateExecutionConfig","requestBody":{"$ref":"#/components/requestBodies/ExecutionConfigUpdateRequest"},"responses":{"201":{"$ref":"#/components/responses/ExecutionConfigSuccessResponse"},"400":{"$ref":"#/components/responses/ErrorResponse"},"403":{"$ref":"#/components/responses/ErrorResponse"},"404":{"$ref":"#/components/responses/ErrorResponse"},"500":{"$ref":"#/components/responses/ErrorResponse"}},"summary":"Override execution Config for DBOPs image tags","tags":["Execution Config"]}}},"components":{"requestBodies":{"ExecutionConfigUpdateRequest":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/ExecutionConfigOperation"},"type":"array"}}},"description":"Details of the Update Operations"}},"schemas":{"ExecutionConfigOperation":{"additionalProperties":false,"description":"Operations to set the images tag to particular version","properties":{"field":{"description":"Image tag field names which can be retrieved from get-default-config","type":"string"},"value":{"description":"Value of the image tag","type":"string"}},"required":["field","value"],"title":"ExecutionConfigOperation","type":"object"},"Error":{"description":"Error Response","properties":{"message":{"description":"error message detail","type":"string"}},"required":["message"],"title":"Error Response","type":"object"}},"responses":{"ExecutionConfigSuccessResponse":{"content":{"application/json":{"schema":{"default":false,"type":"boolean"}}},"description":"Boolean response for execution config response"},"ErrorResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Error Response body"}}}}
```
